GroupInfo (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor.graph, class: GroupInfo

Package org.apache.jmeter.report.processor.graph

# Class GroupInfo

java.lang.Object
org.apache.jmeter.report.processor.graph.GroupInfo

public class GroupInfo extends Object
The class GroupInfo stores information about the series group of a graph.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupInfo(AggregatorFactory aggregatorFactory, GraphSeriesSelector seriesSelector, GraphValueSelector valueSelector, boolean enableOverallSeries, boolean enableAggregatedKeysSeries)`
  Instantiates a new group info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `enablesAggregatedKeysSeries()`
  Enables aggregated keys seriesData.
  `final boolean`
  `enablesOverallSeries()`
  Enables overall seriesData.
  `final AggregatorFactory`
  `getAggregatorFactory()`
  Gets the aggregator factory.
  `final GroupData`
  `getGroupData()`
  Gets the group data.
  `final GraphSeriesSelector`
  `getSeriesSelector()`
  Gets the seriesData selector.
  `final GraphValueSelector`
  `getValueSelector()`
  Gets the value selector.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupInfo

    public GroupInfo(AggregatorFactory aggregatorFactory, GraphSeriesSelector seriesSelector, GraphValueSelector valueSelector, boolean enableOverallSeries, boolean enableAggregatedKeysSeries)
    Instantiates a new group info.
    Parameters:
      `aggregatorFactory` - the aggregator factory
      `seriesSelector` - the series selector
      `valueSelector` - the value selector
      `enableOverallSeries` - the enable overall series
      `enableAggregatedKeysSeries` - the enable aggregated keys series

- ## Method Details

  - ### enablesAggregatedKeysSeries

    public final boolean enablesAggregatedKeysSeries()
    Enables aggregated keys seriesData.
    Returns:
      the enableAggregatedKeysSeries

  - ### enablesOverallSeries

    public final boolean enablesOverallSeries()
    Enables overall seriesData.
    Returns:
      the enableOverallSeries

  - ### getSeriesSelector

    public final GraphSeriesSelector getSeriesSelector()
    Gets the seriesData selector.
    Returns:
      the seriesData selector

  - ### getValueSelector

    public final GraphValueSelector getValueSelector()
    Gets the value selector.
    Returns:
      the value selector

  - ### getAggregatorFactory

    public final AggregatorFactory getAggregatorFactory()
    Gets the aggregator factory.
    Returns:
      the aggregatorFactory

  - ### getGroupData

    public final GroupData getGroupData()
    Gets the group data.
    Returns:
      the group data